#!/bin/bash

help(){
    printf "Example: ./sample02.sh -a -b 10 -c 20\n" 1>&2
    printf "Options: -h : show this help\n" 1>&2
    printf "Options: -a : set variable1=1\n" 1>&2
    printf "Options: -b [argument] : assign the value to variable2\n" 1>&2
    printf "Options: -c [argument] : assign the value to variable3\n" 1>&2
}

#初期値の代入

variable1=0
variable2=0
variable3=0
while getopts "hab:c:" opt
do
    case ${opt} in
        h)help;
          exit 0;;
	a)variable1=1;;
	b)variable2=${OPTARG};;
        c)variable3=${OPTARG};;
    esac
done
echo "variable1=${variable1}"
echo "variable2=${variable2}"
echo "variable3=${variable3}"
